package com.ifish.entity;

import java.io.Serializable;
import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;

/**
 * 等级控制信息
 * @author Administrator
 *
 */
@Entity
@Table(name="tbl_grade_control")
public class GradeControl implements Serializable{

	private static final long serialVersionUID = 4967272971514676023L;
	/**
	 * ID
	 */
	@Id
	private GradeControlId gradeControlId;
	/**
	 * 控制日期参数
	 */
	@Column(name="control_param",nullable=false,length=10)
	private String controlParam;
	
	/**
	 * 更新日期
	 */
	@Column(name="update_time",columnDefinition="timestamp")
	private Date updateTime;

	public GradeControl() {}
	
	public GradeControl(GradeControlId gradeControlId, String controlParam,
			Date updateTime) {
		this.gradeControlId = gradeControlId;
		this.controlParam = controlParam;
		this.updateTime = updateTime;
	}

	public GradeControlId getGradeControlId() {
		return gradeControlId;
	}

	public void setGradeControlId(GradeControlId gradeControlId) {
		this.gradeControlId = gradeControlId;
	}

	public String getControlParam() {
		return controlParam;
	}

	public void setControlParam(String controlParam) {
		this.controlParam = controlParam;
	}

	public Date getUpdateTime() {
		return updateTime;
	}

	public void setUpdateTime(Date updateTime) {
		this.updateTime = updateTime;
	}
	
}
